#!/bin/bash
set -Eeuo pipefail

dir=$(dirname $(realpath -s $(readlink -f $BASH_SOURCE)))
. $dir/../config.sh

info "Installing Docker"

codename=$(lsb_release -sc)
arch=$(dpkg --print-architecture)

curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -

cat > /etc/apt/sources.list.d/docker.list <<EOF
deb [arch=$arch] https://download.docker.com/linux/debian $codename stable
EOF

apt update
apt install --no-install-recommends -y docker-ce docker-ce-cli containerd.io

usermod -aG docker $username
